import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import cx from "classnames";
import { useIntl } from "react-intl";
import { withTheme } from "@gooddata/sdk-ui-theme-provider";
import { Icon } from "../Icon/Icon.js";
function WorkspacePickerHomeFooterComponent({ children, className, href, onClick, theme, }) {
    const intl = useIntl();
    const mergedClassNames = cx("gd-workspace-picker-home-footer", className);
    const HomeIcon = Icon["Home"];
    return (_jsxs("a", { className: mergedClassNames, "data-testid": "s-workspace-picker-home-footer", href: href, onClick: onClick, tabIndex: 0, "aria-label": intl.formatMessage({ id: "gs.header.href.accessibility" }), children: [
            _jsx(HomeIcon, { className: "gd-icon-home", width: 20, height: 20, color: theme?.palette?.complementary?.c7, ariaHidden: true }), children] }));
}
/**
 * @internal
 */
export const WorkspacePickerHomeFooter = withTheme(WorkspacePickerHomeFooterComponent);
